<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );

	/**
	 * Static class with various helper functions
	 */
	class PluginTemplateHelpers
	{
        var $_templateId;

        static function isValidExtension( $name )
        {
			$config =& Config::getConfig();
			$allowedExtension = $config->getValue( "plugin_templateeditor_allowedextension" );
			$allowedExtension = $allowedExtension . ",jpg,gif,png,bmp";
		    $extensionList = explode(",", $allowedExtension);            
            $fileExtension = array_pop(explode('.', $name));
            foreach ($extensionList as $extension) {
                if ( $fileExtension == trim($extension) ) {
                    return true;   
                }
            }
            return false;
        }		


        static function isValidTemplateFileName( $name )
        {
		    $pattern = '/^[a-zA-Z0-9\._-]+$/';
            if (preg_match($pattern, $name) ) {
               return true;
            } else {
               return false;
            }
        }
        
    }